org.optaplanner.core.impl.constructionheuristic.scope

## Class ConstructionHeuristicMoveScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractMoveScope<Solution_>
  - - org.optaplanner.core.impl.constructionheuristic.scope.ConstructionHeuristicMoveScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class ConstructionHeuristicMoveScope<Solution_>
      extends AbstractMoveScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractMoveScope

      `move, moveIndex, score`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructionHeuristicMoveScope(ConstructionHeuristicStepScope<Solution_> stepScope, int moveIndex, Move<Solution_> move)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstructionHeuristicStepScope<Solution_>` | `getStepScope()`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractMoveScope

      `getMove, getMoveIndex, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructionHeuristicMoveScope

          public ConstructionHeuristicMoveScope(ConstructionHeuristicStepScope<Solution_> stepScope,
                                                int moveIndex,
                                                Move<Solution_> move)

  - ### Method Detail

    - #### getStepScope

          public ConstructionHeuristicStepScope<Solution_> getStepScope()

      Specified by:
        `getStepScope` in class `AbstractMoveScope<Solution_>`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.